### How to run this prrof of concept:
1. Install k3s and start the k3s service
```bash
curl -sfL https://get.k3s.io | K3S_KUBECONFIG_MODE="644" sh -
```
2. Install ECK
```bash
k3s kubectl apply -f monitoring/eck
```
3. Install kube-state-metrics
```bash
k3s kubectl apply -f monitoring/kube-state-metrics
```
4. Install targets by running the `install_targets.sh` script
```bash
scripts/install_targets.sh
```
5. Install Elastic stack by running the `install-elastic-stack.sh` script
```bash
scripts/install_elastic_stack.sh
```
6. Get password for the elastic user
```bash
k3s kubectl get secrets -n elastic-stack elasticsearch-es-elastic-user -o jsonpath='{.data.elastic}'| tr -d '"' | base64 -d
```
7. Port forward Kibana to localhost
```bash
k3s kubectl port-forward -n elastic-stack svc/kibana-kb-http 5601
```
8. Access Kibana at https://localhost:5601
